[Pkg-mailman-hackers] Pkg-mailman commit - rev 102 - branches/pkg-split/core/debian/patches

Bernd S. Brentrup bsb@haydn.debian.org
Sat, 01 May 2004 04:19:15 -0600


Author: bsb
Date: 2004-05-01 04:19:12 -0600 (Sat, 01 May 2004)
New Revision: 102

Added:
   branches/pkg-split/core/debian/patches/60_type_error_temp_fix.dpatch
Log:
Add but don't enable symptom curing patch for Bug #246681.
Needs further investigation.

Added: branches/pkg-split/core/debian/patches/60_type_error_temp_fix.dpatch
===================================================================
--- branches/pkg-split/core/debian/patches/60_type_error_temp_fix.dpatch	2004-05-01 10:16:33 UTC (rev 101)
+++ branches/pkg-split/core/debian/patches/60_type_error_temp_fix.dpatch	2004-05-01 10:19:12 UTC (rev 102)
@@ -0,0 +1,41 @@
+#! /bin/sh -e
+## $URL$
+## $Id$
+## 60_type_error_temp_fix.dpatch by  Siggy Brentrup <bsb@debian.org>
+## 
+## DP: Temporary workaround for a TypeError 
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /debuild/mine/mailman/build-area/mailman-2.1.4/Mailman/Gui/General.py mailman-2.1.4/Mailman/Gui/General.py
+--- /debuild/mine/mailman/build-area/mailman-2.1.4/Mailman/Gui/General.py	2002-12-11 13:41:56.000000000 +0100
++++ mailman-2.1.4/Mailman/Gui/General.py	2004-04-30 19:29:10.000000000 +0200
+@@ -50,7 +50,10 @@
+             _('Filter out duplicate messages to list members (if possible)'),
+             }
+ 
+-        optvals = [mlist.new_member_options & bitfields[o] for o in OPTIONS]
++        try:
++            optvals = [mlist.new_member_options & bitfields[o] for o in OPTIONS]
++        except TypeError:
++            optvals = [ 0, 0, 0, bitfields['nodupes'] ]
+         opttext = [bitdescrs[o] for o in OPTIONS]
+ 
+         rtn = [


Property changes on: branches/pkg-split/core/debian/patches/60_type_error_temp_fix.dpatch
___________________________________________________________________
Name: svn:keywords
   + Id URL